[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'charset' (#rtl)

# mappingavailable

Check if a mapping is available for a specified code page.

## Declaration

Source position: charset.pp line 78

`function mappingavailable(`
`const s: string`
`):Boolean; function mappingavailable(`
`cp: Word`
`):Boolean;`

## Arguments

`s` |  | Code page name

## Function result

True if a map is available for codepage s or cp

## Arguments

`cp` |  | Numerical code page identifier.

## Description

mappingavailable returns True if a mapping for a specified code page (using name s or numerical identifier cp) is available, or False if it is not.

## See also

registermapping |  | Register mapping
registerbinarymapping |  | Load and register binary single-byte codepage to Unicode map from file
getmap |  | Find a codepage map